public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/s6-rc/
Date: Tue, 17 Jan 2023 01:53:10 +0000 (UTC)	[thread overview]
Message-ID: <1673920333.83858a065f0d22a90fcf884e8a0076a14c7e88a7.sam@gentoo> (raw)

commit:     83858a065f0d22a90fcf884e8a0076a14c7e88a7
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Jan 16 12:18:15 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 17 01:52:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83858a06

sys-apps/s6-rc: add 0.5.3.3

The --disabled-static needs to be explicitly specified in configuration
phase otherwise static libraries are created.

Fixes: ab67779a229a ("sys-apps/s6-rc: drop IUSE="static static-libs"")
Bug: https://bugs.gentoo.org/890879
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/s6-rc/Manifest             |  1 +
 sys-apps/s6-rc/s6-rc-0.5.3.3.ebuild | 52 +++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/sys-apps/s6-rc/Manifest b/sys-apps/s6-rc/Manifest
index 7986e9d80111..f2ab4d8a5da8 100644
--- a/sys-apps/s6-rc/Manifest
+++ b/sys-apps/s6-rc/Manifest
@@ -1 +1,2 @@
 DIST s6-rc-0.5.3.2.tar.gz 99249 BLAKE2B 5719823edf9e9bece6a3efdb5072c4555fc796c48144a0d1da52c609aef8d7437afc9c30924636891a829a307c30017a85140644fb7836b380adb8afbd49b35b SHA512 72963b2aa8e338503918d063102653d392cbd701823e35f87b45d9777fd512f7ad49ab47b94df0f9e5ef50a0dad5162f6f3526fa77dfaa3afb48ad8db4097051
+DIST s6-rc-0.5.3.3.tar.gz 100554 BLAKE2B b7ce91c27da4ded6a18879c1034fd9b7a9dbe50b4bf81b8e7ad8c932895124f0fad2d3f96c879841e51467549ee0beef2a9d35c0231d0f4a9a8352660ee3df3e SHA512 9ff86c1490c3ccb904126ad745a45628104880e04f3e95e2d899c8e5cc951d52f38885e85a4edc1f6962a741ca229aba6bf7878b1ef193efe2f307eeda8f262b

diff --git a/sys-apps/s6-rc/s6-rc-0.5.3.3.ebuild b/sys-apps/s6-rc/s6-rc-0.5.3.3.ebuild
new file mode 100644
index 000000000000..58f87ce13f36
--- /dev/null
+++ b/sys-apps/s6-rc/s6-rc-0.5.3.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Service manager for the s6 supervision suite"
+HOMEPAGE="https://www.skarnet.org/software/s6-rc/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="dev-lang/execline:=
+	dev-libs/skalibs:=
+	>=sys-apps/s6-2.11.2.0:=[execline]
+"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+	default
+
+	# Avoid QA warning for LDFLAGS addition
+	sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+	sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+	tc-export AR CC RANLIB
+
+	local myconf=(
+		--bindir=/bin
+		--dynlibdir=/usr/$(get_libdir)
+		--libdir=/usr/$(get_libdir)/${PN}
+		--with-dynlib=/usr/$(get_libdir)
+		--with-lib=/usr/$(get_libdir)/execline
+		--with-lib=/usr/$(get_libdir)/s6
+		--with-lib=/usr/$(get_libdir)/skalibs
+		--with-sysdeps=/usr/$(get_libdir)/skalibs
+		--enable-shared
+		--disable-allstatic
+		--disable-static
+		--disable-static-libc
+	)
+
+	econf "${myconf[@]}"
+}


             reply	other threads:[~2023-01-17  1:53 UTC|newest]

Thread overview: 59+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-17  1:53 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-15  9:29 [gentoo-commits] repo/gentoo:master commit in: sys-apps/s6-rc/ Ulrich Müller
2025-02-08 10:16 Arthur Zamarin
2025-02-08 10:16 Arthur Zamarin
2024-10-24  9:39 Petr Vaněk
2024-08-30 10:19 Petr Vaněk
2024-07-15 10:54 Sam James
2024-07-15  7:10 Joonas Niilola
2024-07-15  7:05 Joonas Niilola
2024-06-14 13:31 Petr Vaněk
2024-01-17 10:39 Petr Vaněk
2024-01-17  2:46 Ionen Wolkens
2023-12-21  6:12 Joonas Niilola
2023-12-21  6:12 Joonas Niilola
2023-12-05 15:08 Petr Vaněk
2023-11-17 11:09 Sam James
2023-11-17 11:09 Sam James
2023-05-20 12:32 Joonas Niilola
2023-05-06  9:49 Arthur Zamarin
2023-04-15 12:23 Joonas Niilola
2023-03-30  5:22 Joonas Niilola
2023-03-28 14:59 Sam James
2023-03-25  5:13 Arthur Zamarin
2023-02-24 15:09 Joonas Niilola
2023-02-21  8:01 Sam James
2023-02-21  8:01 Sam James
2023-01-17  1:53 Sam James
2022-08-16 15:26 Joonas Niilola
2022-08-02  5:40 Joonas Niilola
2022-08-02  5:40 Joonas Niilola
2022-07-09  7:49 Sam James
2022-06-25  5:36 Sam James
2022-06-25  5:36 Sam James
2022-06-24  7:11 Agostino Sarubbo
2022-06-24  7:07 Agostino Sarubbo
2022-05-24  7:01 Joonas Niilola
2022-05-24  7:01 Joonas Niilola
2022-04-24  9:49 Joonas Niilola
2022-03-10  9:48 Jakov Smolić
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2022-01-28  8:00 Sam James
2020-10-11 17:49 William Hubbs
2020-07-15 12:30 Sam James
2020-05-16  7:09 Joonas Niilola
2019-11-28 21:54 William Hubbs
2019-06-22  7:52 Michał Górny
2018-10-09  0:12 Georgy Yakovlev
2018-10-02 22:08 Michał Górny
2018-05-31 22:48 William Hubbs
2018-03-29 13:25 William Hubbs
2018-01-10 21:35 William Hubbs
2017-11-15 20:15 William Hubbs
2017-10-03 18:47 William Hubbs
2017-05-21 21:29 William Hubbs
2017-04-26 21:29 William Hubbs
2017-01-11 23:43 William Hubbs
2016-06-29 17:45 William Hubbs
2016-03-19 23:12 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1673920333.83858a065f0d22a90fcf884e8a0076a14c7e88a7.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox